## harris_NL_roots_test
y1=@(x)x(1)*x(1)+x(1)*x(2)-10.0;
y2=@(x)x(2)+3.0*x(1)*x(2)*x(2)-57.0;
f=@(x)([y1(x) y2(x)]);
x=[1 2]
f1=@(x)f_ONL(f,x);
xmin=[0 0];
xmax=[5,5];
MAXIMUM=500;
N=100
[x y]=Harris_Hawks_Optimization1(f1,N,xmin,xmax,MAXIMUM);
printf("Harris Hawks optimisation method\n");
x
y
printf("Newton optimisation method \n");
[x y]=newton_MD_opt1(f1,x);
x
y
printf("Newton non-linear root finding method\n");
tolerance=1e-10;
nmax=300;
x=newton_raphson_n(f,x,tolerance,nmax);
x
y1=f(x);
y1
y=f1(x);
y
